stable.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: stable@vger.kernel.org
Cc: "Greg Kroah-Hartman" <gregkh@linuxfoundation.org>,
	patches@lists.linux.dev, "Georg Müller" <georgmueller@gmx.net>,
	"Ian Rogers" <irogers@google.com>,
	"Adrian Hunter" <adrian.hunter@intel.com>,
	"Alexander Shishkin" <alexander.shishkin@linux.intel.com>,
	"Ingo Molnar" <mingo@redhat.com>, "Jiri Olsa" <jolsa@kernel.org>,
	"Mark Rutland" <mark.rutland@arm.com>,
	"Masami Hiramatsu" <mhiramat@kernel.org>,
	"Namhyung Kim" <namhyung@kernel.org>,
	"Peter Zijlstra" <peterz@infradead.org>,
	"Arnaldo Carvalho de Melo" <acme@redhat.com>,
	"Sasha Levin" <sashal@kernel.org>
Subject: [PATCH 4.14 184/204] perf test uprobe_from_different_cu: Skip if there is no gcc
Date: Wed,  9 Aug 2023 12:42:02 +0200	[thread overview]
Message-ID: <20230809103648.653516773@linuxfoundation.org> (raw)
In-Reply-To: <20230809103642.552405807@linuxfoundation.org>

From: Georg Müller <georgmueller@gmx.net>

[ Upstream commit 98ce8e4a9dcfb448b30a2d7a16190f4a00382377 ]

Without gcc, the test will fail.

On cleanup, ignore probe removal errors. Otherwise, in case of an error
adding the probe, the temporary directory is not removed.

Fixes: 56cbeacf14353057 ("perf probe: Add test for regression introduced by switch to die_get_decl_file()")
Signed-off-by: Georg Müller <georgmueller@gmx.net>
Acked-by: Ian Rogers <irogers@google.com>
Cc: Adrian Hunter <adrian.hunter@intel.com>
Cc: Alexander Shishkin <alexander.shishkin@linux.intel.com>
Cc: Georg Müller <georgmueller@gmx.net>
Cc: Ingo Molnar <mingo@redhat.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Mark Rutland <mark.rutland@arm.com>
Cc: Masami Hiramatsu <mhiramat@kernel.org>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Peter Zijlstra <peterz@infradead.org>
Link: https://lore.kernel.org/r/20230728151812.454806-2-georgmueller@gmx.net
Link: https://lore.kernel.org/r/CAP-5=fUP6UuLgRty3t2=fQsQi3k4hDMz415vWdp1x88QMvZ8ug@mail.gmail.com/
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
 tools/perf/tests/shell/test_uprobe_from_different_cu.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
index 00d2e0e2e0c28..319f36ebb9a40 100644
--- a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
+++ b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
@@ -4,6 +4,12 @@
 
 set -e
 
+# skip if there's no gcc
+if ! [ -x "$(command -v gcc)" ]; then
+        echo "failed: no gcc compiler"
+        exit 2
+fi
+
 temp_dir=$(mktemp -d /tmp/perf-uprobe-different-cu-sh.XXXXXXXXXX)
 
 cleanup()
@@ -11,7 +17,7 @@ cleanup()
 	trap - EXIT TERM INT
 	if [[ "${temp_dir}" =~ ^/tmp/perf-uprobe-different-cu-sh.*$ ]]; then
 		echo "--- Cleaning up ---"
-		perf probe -x ${temp_dir}/testfile -d foo
+		perf probe -x ${temp_dir}/testfile -d foo || true
 		rm -f "${temp_dir}/"*
 		rmdir "${temp_dir}"
 	fi
-- 
2.40.1




  parent reply	other threads:[~2023-08-09 11:10 UTC|newest]

Thread overview: 211+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-09 10:38 [PATCH 4.14 000/204] 4.14.322-rc1 review Greg Kroah-Hartman
2023-08-09 10:38 ` [PATCH 4.14 001/204] gfs2: Dont deref jdesc in evict Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 002/204] x86/microcode/AMD: Load late on both threads too Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 003/204] x86/smp: Use dedicated cache-line for mwait_play_dead() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 004/204] fbdev: imsttfb: Fix use after free bug in imsttfb_probe Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 005/204] drm/edid: Fix uninitialized variable in drm_cvt_modes() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 006/204] scripts/tags.sh: Resolve gtags empty index generation Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 007/204] drm/amdgpu: Validate VM ioctl flags Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 008/204] treewide: Remove uninitialized_var() usage Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 009/204] md/raid10: fix overflow of md/safe_mode_delay Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 010/204] md/raid10: fix wrong setting of max_corr_read_errors Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 011/204] md/raid10: fix io loss while replacement replace rdev Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 012/204] PM: domains: fix integer overflow issues in genpd_parse_state() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 013/204] evm: Complete description of evm_inode_setattr() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 014/204] wifi: ath9k: fix AR9003 mac hardware hang check register offset calculation Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 015/204] wifi: ath9k: avoid referencing uninit memory in ath9k_wmi_ctrl_rx Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 016/204] wifi: orinoco: Fix an error handling path in spectrum_cs_probe() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 017/204] wifi: orinoco: Fix an error handling path in orinoco_cs_probe() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 018/204] wifi: atmel: Fix an error handling path in atmel_probe() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 019/204] wifi: wl3501_cs: Fix an error handling path in wl3501_probe() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 020/204] wifi: ray_cs: Fix an error handling path in ray_probe() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 021/204] wifi: ath9k: dont allow to overwrite ENDPOINT0 attributes Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 022/204] watchdog/perf: define dummy watchdog_update_hrtimer_threshold() on correct config Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 023/204] watchdog/perf: more properly prevent false positives with turbo modes Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 024/204] kexec: fix a memory leak in crash_shrink_memory() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 025/204] memstick r592: make memstick_debug_get_tpc_name() static Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 026/204] wifi: ath9k: Fix possible stall on ath9k_txq_list_has_key() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 027/204] wifi: ath9k: convert msecs to jiffies where needed Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 028/204] netlink: fix potential deadlock in netlink_set_err() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 029/204] netlink: do not hard code device address lenth in fdb dumps Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 030/204] gtp: Fix use-after-free in __gtp_encap_destroy() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 031/204] lib/ts_bm: reset initial match offset for every block of text Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 032/204] netfilter: nf_conntrack_sip: fix the ct_sip_parse_numerical_param() return value Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 033/204] netlink: Add __sock_i_ino() for __netlink_diag_dump() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 034/204] radeon: avoid double free in ci_dpm_init() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 035/204] Input: drv260x - sleep between polling GO bit Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 036/204] ARM: dts: BCM5301X: Drop "clock-names" from the SPI node Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 037/204] Input: adxl34x - do not hardcode interrupt trigger type Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 038/204] drm/panel: simple: fix active size for Ampire AM-480272H3TMQW-T01H Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 039/204] ARM: ep93xx: fix missing-prototype warnings Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 040/204] ASoC: es8316: Increment max value for ALC Capture Target Volume control Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 041/204] soc/fsl/qe: fix usb.c build errors Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 042/204] fbdev: omapfb: lcd_mipid: Fix an error handling path in mipid_spi_probe() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 043/204] drm/radeon: fix possible division-by-zero errors Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 044/204] ALSA: ac97: Fix possible NULL dereference in snd_ac97_mixer Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 045/204] scsi: 3w-xxxx: Add error handling for initialization failure in tw_probe() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 046/204] PCI: Add pci_clear_master() stub for non-CONFIG_PCI Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 047/204] pinctrl: cherryview: Return correct value if pin in push-pull mode Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 048/204] perf dwarf-aux: Fix off-by-one in die_get_varname() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 049/204] pinctrl: at91-pio4: check return value of devm_kasprintf() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 050/204] crypto: nx - fix build warnings when DEBUG_FS is not enabled Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 051/204] modpost: fix section mismatch message for R_ARM_ABS32 Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 052/204] modpost: fix section mismatch message for R_ARM_{PC24,CALL,JUMP24} Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 053/204] modpost: fix off by one in is_executable_section() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 054/204] USB: serial: option: add LARA-R6 01B PIDs Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 055/204] block: change all __u32 annotations to __be32 in affs_hardblocks.h Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 056/204] w1: fix loop in w1_fini() Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 057/204] sh: j2: Use ioremap() to translate device tree address into kernel memory Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 058/204] media: usb: Check az6007_read() return value Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 059/204] media: videodev2.h: Fix struct v4l2_input tuner index comment Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 060/204] media: usb: siano: Fix warning due to null work_func_t function pointer Greg Kroah-Hartman
2023-08-09 10:39 ` [PATCH 4.14 061/204] extcon: Fix kernel doc of property fields to avoid warnings Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 062/204] extcon: Fix kernel doc of property capability " Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 063/204] usb: phy: phy-tahvo: fix memory leak in tahvo_usb_probe() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 064/204] mfd: rt5033: Drop rt5033-battery sub-device Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 065/204] mfd: intel-lpss: Add missing check for platform_get_resource Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 066/204] mfd: stmpe: Only disable the regulators if they are enabled Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 067/204] rtc: st-lpc: Release some resources in st_rtc_probe() in case of error Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 068/204] sctp: fix potential deadlock on &net->sctp.addr_wq_lock Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 069/204] Add MODULE_FIRMWARE() for FIRMWARE_TG357766 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 070/204] spi: bcm-qspi: return error if neither hif_mspi nor mspi is available Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 071/204] mailbox: ti-msgmgr: Fill non-message tx data fields with 0x0 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 072/204] powerpc: allow PPC_EARLY_DEBUG_CPM only when SERIAL_CPM=y Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 073/204] net: bridge: keep ports without IFF_UNICAST_FLT in BR_PROMISC mode Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 074/204] tcp: annotate data races in __tcp_oow_rate_limited() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 075/204] net/sched: act_pedit: Add size check for TCA_PEDIT_PARMS_EX Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 076/204] sh: dma: Fix DMA channel offset calculation Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 077/204] NFSD: add encoding of op_recall flag for write delegation Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 078/204] mmc: core: disable TRIM on Kingston EMMC04G-M627 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 079/204] mmc: core: disable TRIM on Micron MTFC4GACAJCN-1M Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 080/204] integrity: Fix possible multiple allocation in integrity_inode_get() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 081/204] jffs2: reduce stack usage in jffs2_build_xattr_subsystem() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 082/204] btrfs: fix race when deleting quota root from the dirty cow roots list Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 083/204] ARM: orion5x: fix d2net gpio initialization Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 084/204] spi: spi-fsl-spi: remove always-true conditional in fsl_spi_do_one_msg Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 085/204] spi: spi-fsl-spi: relax message sanity checking a little Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 086/204] spi: spi-fsl-spi: allow changing bits_per_word while CS is still active Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 087/204] netfilter: nf_tables: incorrect error path handling with NFT_MSG_NEWRULE Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 088/204] netfilter: nf_tables: add NFT_TRANS_PREPARE_ERROR to deal with bound set/chain Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 089/204] netfilter: nf_tables: unbind non-anonymous set if rule construction fails Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 090/204] netfilter: conntrack: Avoid nf_ct_helper_hash uses after free Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 091/204] netfilter: nf_tables: prevent OOB access in nft_byteorder_eval Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 092/204] workqueue: clean up WORK_* constant types, clarify masking Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 093/204] net: mvneta: fix txq_map in case of txq_number==1 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 094/204] udp6: fix udp6_ehashfn() typo Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 095/204] ntb: idt: Fix error handling in idt_pci_driver_init() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 096/204] NTB: amd: Fix error handling in amd_ntb_pci_driver_init() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 097/204] ntb: intel: Fix error handling in intel_ntb_pci_driver_init() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 098/204] NTB: ntb_transport: fix possible memory leak while device_register() fails Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 099/204] ipv6/addrconf: fix a potential refcount underflow for idev Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 100/204] wifi: airo: avoid uninitialized warning in airo_get_rate() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 101/204] net/sched: make psched_mtu() RTNL-less safe Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 102/204] tpm: tpm_vtpm_proxy: fix a race condition in /dev/vtpmx creation Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 103/204] SUNRPC: Fix UAF in svc_tcp_listen_data_ready() Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 104/204] perf intel-pt: Fix CYC timestamps after standalone CBR Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 105/204] ext4: fix wrong unit use in ext4_mb_clear_bb Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 106/204] ext4: only update i_reserved_data_blocks on successful block allocation Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 107/204] jfs: jfs_dmap: Validate db_l2nbperpage while mounting Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 108/204] PCI: Add function 1 DMA alias quirk for Marvell 88SE9235 Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 109/204] misc: pci_endpoint_test: Re-init completion for every test Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 110/204] md/raid0: add discard support for the original layout Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 111/204] fs: dlm: return positive pid value for F_GETLK Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 112/204] hwrng: imx-rngc - fix the timeout for init and self check Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 113/204] meson saradc: fix clock divider mask length Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 114/204] Revert "8250: add support for ASIX devices with a FIFO bug" Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 115/204] tty: serial: samsung_tty: Fix a memory leak in s3c24xx_serial_getclk() in case of error Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 116/204] tty: serial: samsung_tty: Fix a memory leak in s3c24xx_serial_getclk() when iterating clk Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 117/204] ring-buffer: Fix deadloop issue on reading trace_pipe Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 118/204] xtensa: ISS: fix call to split_if_spec Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 119/204] scsi: qla2xxx: Wait for io return on terminate rport Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 120/204] scsi: qla2xxx: Fix potential NULL pointer dereference Greg Kroah-Hartman
2023-08-09 10:40 ` [PATCH 4.14 121/204] scsi: qla2xxx: Check valid rport returned by fc_bsg_to_rport() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 122/204] scsi: qla2xxx: Pointer may be dereferenced Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 123/204] serial: atmel: dont enable IRQs prematurely Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 124/204] perf probe: Add test for regression introduced by switch to die_get_decl_file() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 125/204] fuse: revalidate: dont invalidate if interrupted Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 126/204] can: bcm: Fix UAF in bcm_proc_show() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 127/204] ext4: correct inline offset when handling xattrs in inode body Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 128/204] debugobjects: Recheck debug_objects_enabled before reporting Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 129/204] nbd: Add the maximum limit of allocated index in nbd_dev_add Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 130/204] md: fix data corruption for raid456 when reshape restart while grow up Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 131/204] md/raid10: prevent soft lockup while flush writes Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 132/204] posix-timers: Ensure timer ID search-loop limit is valid Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 133/204] sched/fair: Dont balance task to its current running CPU Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 134/204] bpf: Address KCSAN report on bpf_lru_list Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 135/204] wifi: wext-core: Fix -Wstringop-overflow warning in ioctl_standard_iw_point() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 136/204] igb: Fix igb_down hung on surprise removal Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 137/204] spi: bcm63xx: fix max prepend length Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 138/204] fbdev: imxfb: warn about invalid left/right margin Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 139/204] pinctrl: amd: Use amd_pinconf_set() for all config options Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 140/204] net: ethernet: ti: cpsw_ale: Fix cpsw_ale_get_field()/cpsw_ale_set_field() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 141/204] fbdev: au1200fb: Fix missing IRQ check in au1200fb_drv_probe Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 142/204] llc: Dont drop packet from non-root netns Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 143/204] netfilter: nf_tables: fix spurious set element insertion failure Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 144/204] tcp: annotate data-races around rskq_defer_accept Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 145/204] tcp: annotate data-races around tp->notsent_lowat Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 146/204] tcp: annotate data-races around fastopenq.max_qlen Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 147/204] gpio: tps68470: Make tps68470_gpio_output() always set the initial value Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 148/204] i40e: Fix an NULL vs IS_ERR() bug for debugfs_create_dir() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 149/204] ethernet: atheros: fix return value check in atl1e_tso_csum() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 150/204] ipv6 addrconf: fix bug where deleting a mngtmpaddr can create a new temporary address Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 151/204] tcp: Reduce chance of collisions in inet6_hashfn() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 152/204] bonding: reset bonds flags when down link is P2P device Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 153/204] team: reset teams " Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 154/204] platform/x86: msi-laptop: Fix rfkill out-of-sync on MSI Wind U100 Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 155/204] benet: fix return value check in be_lancer_xmit_workarounds() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 156/204] ASoC: fsl_spdif: Silence output on stop Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 157/204] block: Fix a source code comment in include/uapi/linux/blkzoned.h Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 158/204] dm raid: fix missing reconfig_mutex unlock in raid_ctr() error paths Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 159/204] ata: pata_ns87415: mark ns87560_tf_read static Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 160/204] ring-buffer: Fix wrong stat of cpu_buffer->read Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 161/204] tracing: Fix warning in trace_buffered_event_disable() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 162/204] USB: serial: option: support Quectel EM060K_128 Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 163/204] USB: serial: option: add Quectel EC200A module support Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 164/204] USB: serial: simple: add Kaufmann RKS+CAN VCP Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 165/204] USB: serial: simple: sort driver entries Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 166/204] can: gs_usb: gs_can_close(): add missing set of CAN state to CAN_STATE_STOPPED Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 167/204] usb: ohci-at91: Fix the unhandle interrupt when resume Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 168/204] usb: xhci-mtk: set the dma max_seg_size Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 169/204] Documentation: security-bugs.rst: update preferences when dealing with the linux-distros group Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 170/204] staging: ks7010: potential buffer overflow in ks_wlan_set_encode_ext() Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 171/204] hwmon: (nct7802) Fix for temp6 (PECI1) processed even if PECI1 disabled Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 172/204] tpm_tis: Explicitly check for error code Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 173/204] irq-bcm6345-l1: Do not assume a fixed block to cpu mapping Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 174/204] s390/dasd: fix hanging device after quiesce/resume Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 175/204] ASoC: wm8904: Fill the cache for WM8904_ADC_TEST_0 register Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 176/204] dm cache policy smq: ensure IO doesnt prevent cleaner policy progress Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 177/204] drm/client: Fix memory leak in drm_client_target_cloned Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 178/204] net/sched: cls_fw: Fix improper refcount update leads to use-after-free Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 179/204] net/sched: sch_qfq: account for stab overhead in qfq_enqueue Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 180/204] net/sched: cls_u32: Fix reference counter leak leading to overflow Greg Kroah-Hartman
2023-08-09 10:41 ` [PATCH 4.14 181/204] perf: Fix function pointer case Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 182/204] word-at-a-time: use the same return type for has_zero regardless of endianness Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 183/204] net/mlx5e: fix return value check in mlx5e_ipsec_remove_trailer() Greg Kroah-Hartman
2023-08-09 10:42 ` Greg Kroah-Hartman [this message]
2023-08-09 10:42 ` [PATCH 4.14 185/204] net: add missing data-race annotations around sk->sk_peek_off Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 186/204] net: add missing data-race annotation for sk_ll_usec Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 187/204] net/sched: cls_u32: No longer copy tcf_result on update to avoid use-after-free Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 188/204] net/sched: cls_route: " Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 189/204] ip6mr: Fix skb_under_panic in ip6mr_cache_report() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 190/204] tcp_metrics: fix addr_same() helper Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 191/204] tcp_metrics: annotate data-races around tm->tcpm_stamp Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 192/204] tcp_metrics: annotate data-races around tm->tcpm_lock Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 193/204] tcp_metrics: annotate data-races around tm->tcpm_vals[] Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 194/204] tcp_metrics: annotate data-races around tm->tcpm_net Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 195/204] tcp_metrics: fix data-race in tcpm_suck_dst() vs fastopen Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 196/204] loop: Select I/O scheduler none from inside add_disk() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 197/204] libceph: fix potential hang in ceph_osdc_notify() Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 198/204] USB: zaurus: Add ID for A-300/B-500/C-700 Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 199/204] fs/sysv: Null check to prevent null-ptr-deref bug Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 200/204] Bluetooth: L2CAP: Fix use-after-free in l2cap_sock_ready_cb Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 201/204] net: usbnet: Fix WARNING in usbnet_start_xmit/usb_submit_urb Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 202/204] ext2: Drop fragment support Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 203/204] test_firmware: fix a memory leak with reqs buffer Greg Kroah-Hartman
2023-08-09 10:42 ` [PATCH 4.14 204/204] mtd: rawnand: omap_elm: Fix incorrect type in assignment Greg Kroah-Hartman
2023-08-10 10:11 ` [PATCH 4.14 000/204] 4.14.322-rc1 review Harshit Mogalapalli
2023-08-10 13:56 ` Guenter Roeck
2023-08-10 14:23   ` Guenter Roeck
2023-08-11  7:14     ` Greg Kroah-Hartman
2023-08-10 16:00 ` Guenter Roeck
2023-08-10 18:20 ` Daniel Díaz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230809103648.653516773@linuxfoundation.org \
    --to=gregkh@linuxfoundation.org \
    --cc=acme@redhat.com \
    --cc=adrian.hunter@intel.com \
    --cc=alexander.shishkin@linux.intel.com \
    --cc=georgmueller@gmx.net \
    --cc=irogers@google.com \
    --cc=jolsa@kernel.org \
    --cc=mark.rutland@arm.com \
    --cc=mhiramat@kernel.org \
    --cc=mingo@redhat.com \
    --cc=namhyung@kernel.org \
    --cc=patches@lists.linux.dev \
    --cc=peterz@infradead.org \
    --cc=sashal@kernel.org \
    --cc=stable@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).